package com.jeethink.manage.service;

import com.jeethink.bean.domain.ArchivesMaster;
import com.jeethink.receive.vo.ArchivesVO;

import java.util.HashMap;
import java.util.List;

/**
 * 档案检索Service接口
 * 
 * @author sh
 * @date 2022-11-10
 */
public interface ISearchService
{

    /**
     * 查询档案检索列表
     * 
     * @param archives 档案检索
     * @return 档案检索集合
     */
    List<ArchivesMaster> selectSearchList(ArchivesMaster archives);

    ArchivesVO selectArchivesById(String archivesId);

    List<HashMap> selectArchivesFileById(String archivesId);
}
